/***********************************************************************
 MFCConsoleApp.cpp : The MFCConsole application core.  Starts up the
	UI and contains core functionality.

 $Revision: 1.1 $ $Date: 2001/10/06 12:01:58 $
	
 Copyright (c) 1996-2000 by ETR..., Inc.  See the file LICENSE which 
 accompanied this software for license details.
***********************************************************************/

#include "stdafx.h"
#include "MFCConsoleApp.h"

#include "MainFrm.h"
#include "MFCConsoleDoc.h"
#include "MFCConsoleView.h"

#include "AboutDlg.h"

#include "ConsoleStatusReporter.h"


BEGIN_MESSAGE_MAP(CMFCConsoleApp, CWinApp)
	//{{AFX_MSG_MAP(CMFCConsoleApp)
	ON_COMMAND(ID_APP_ABOUT, OnAppAbout)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP();


////////////////////////////////////////////////////////////////////////
// Globals

CMFCConsoleApp theApp;


////////////////////////////////////////////////////////////////////////
// Ctor

CMFCConsoleApp::CMFCConsoleApp()
{
}


//// InitInstance ///////////////////////////////////////////////////////
// CMFCConsoleApp initialization

BOOL CMFCConsoleApp::InitInstance()
{
	ConsoleStatusReporter::GetInstance();

	Enable3dControls();

	// Register document templates
	CSingleDocTemplate* pDocTemplate;
	pDocTemplate = new CSingleDocTemplate(
			IDR_MAINFRAME,
			RUNTIME_CLASS(CMFCConsoleDoc),
			RUNTIME_CLASS(CMainFrame),
			RUNTIME_CLASS(CMFCConsoleView));
	AddDocTemplate(pDocTemplate);

	// Pull up the main window
	OnFileNew();
	if (m_pMainWnd != 0) {
		m_pMainWnd->ShowWindow(SW_SHOW);
		m_pMainWnd->UpdateWindow();
		REPORT_NORMAL_STATUS("Hello, world!");
		return TRUE;
	}
	else {
		return FALSE;
	}
}


/////////////////////////////////////////////////////////////////////////////
// CMFCConsoleApp commands

// App command to run the dialog
void CMFCConsoleApp::OnAppAbout()
{
	CAboutDlg aboutDlg;
	aboutDlg.DoModal();
}
