/***********************************************************************
 MainFrm.cpp - Defines the main frame window behavior.

 $Revision: 1.1 $ $Date: 2001/10/06 12:01:58 $
	
 Copyright (c) 1996-2000 by ETR..., Inc.  See the file LICENSE which 
 accompanied this software for license details.
***********************************************************************/

#include "stdafx.h"
#include "MainFrm.h"

// For our associated doc/view classes
#include "MFCConsoleDoc.h"
#include "MFCConsoleView.h"


IMPLEMENT_DYNCREATE(CMainFrame, CFrameWnd)

BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
	//{{AFX_MSG_MAP(CMainFrame)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP();


////////////////////////////////////////////////////////////////////////
// Ctor and dtor

CMainFrame::CMainFrame() :
CFrameWnd(),
pMFCConsoleView_(0)
{
}

CMainFrame::~CMainFrame()
{
}


BOOL CMainFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	cs.style &= ~FWS_ADDTOTITLE;
	cs.style &= ~WS_THICKFRAME;
	return CFrameWnd::PreCreateWindow(cs);
}


////////////////////////////////////////////////////////////////////////
// CMainFrame diagnostics

#ifdef _DEBUG
void CMainFrame::AssertValid() const
{
	CFrameWnd::AssertValid();
}


void CMainFrame::Dump(CDumpContext& dc) const
{
	CFrameWnd::Dump(dc);
}
#endif //_DEBUG


///////////////////////////// OUTPUTMESSAGE ////////////////////////////
// Outputs the given message to the view area

void CMainFrame::OutputMessage(const char* pcMessage)
{
	ASSERT(pcMessage);

	// Get a handle to our current view
	if (pMFCConsoleView_ == 0) {
		pMFCConsoleView_ = dynamic_cast<CMFCConsoleView*>(
				GetActiveView());
	}

	// Send the message to the view, if possible, else whine about it
	if (pMFCConsoleView_) {
		pMFCConsoleView_->OutputMessage(pcMessage);
	}
	else {
		MessageBox("Hey, couldn't output a message!", "MFC Console");
	}
}


////////////////////////////////////////////////////////////////////////
// CMainFrame message handlers
